Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class Entry

Field Summary
`Object` | `key1`
`Object` | `key2`
`Object` | `key3`

Constructor Summary
`Entry()`

Method Summary
`boolean` | `checkEquals(Entry e, Object key1, Object key2, Object key3)`
`Entry` | `createEntry()`
`Object` | `get(Object key1, Object key2, Object key3)`
`Entry` | `getOrPut(Object key1, Object key2, Object key3)`
`def` | `remove(Object key1, Object key2, Object key3)`

Constructor Detail

### Entry

    Entry()

Method Detail

### checkEquals

    public boolean checkEquals(Entry e, Object key1, Object key2, Object key3)

### createEntry

    public Entry createEntry()

### get

    public Object get(Object key1, Object key2, Object key3)

### getOrPut

    public Entry getOrPut(Object key1, Object key2, Object key3)

### remove

    public def remove(Object key1, Object key2, Object key3)